Skip to navigation

Get Employee Deductions [Batch]

View as Markdown

Summary Description

This function will allow the API user to GET a list of all active deductions associated with the employee record.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Paylocity company identifier (COID): up to 9 alphanumeric characters for the target company.

employeeIdstringRequired
Employee identifier within the specified company.

Headers

testModestringOptional
If true all responses are mocked and generated randomly
AcceptstringOptional

Media type(s) the client can accept in the response (typically application/json).

Query parameters

filterstringOptional

The API Filter, by defining specific conditions, enables developers to fine-tune data from API calls for more precise results, enhancing application efficiency and user-friendliness. For more information review the Filtering page

limitintegerOptional

Number of results per page. Default Value: 250 Maximum Value: 250 Used together with offset for offset/limit pagination.

offsetintegerOptional

Pagination offset Uses item-index offset semantics: this is the number of resources to skip (not a page number). Pair with limit for paging.

Response

Successful response

Errors

401
Unauthorized Error